CALIBREDB(1)

NAME
calibredb - calibredb

calibredb command [options] [arguments]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   PILIHAN SEJAGAT

•   list

•   add

•   DITAMBAH DARI DIREKTORI

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB PILIHAN

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

PILIHAN SEJAGAT

--help, -h
    tunjuk mesej bantuan ini dan keluar

--library-path, --with-library
    Laluan ke pustaka calibre. Lalai gunakan laluan tersimpan dalam tetapan. Anda juga boleh sambungkan dengan pelayan Kandungan calibre untuk membuat tindakan terhadap pustaka jauh. Untuk membuatnya gunakan URL dalam bentuk: http://hostname:port/#library_id sebagai contoh, http://localhost:8080/#mylibrary. library_id ialah id pustaka bagi pustaka yang mahu disambungkan dengan pelayan Kandungan. Anda boleh gunakan nilai khas library_id - untuk dapatkan senarai id pustaka yang tersedia dalam pelayan. Untuk perincian bagaimana hendak memasang melalui pelayan Kandungan, sila rujuk https://manual.calibre-ebook.com/generated/en/calibredb.html.

--password
    Kata laluan untuk menyambung dengan pelayan Kandungan calibre. Untuk membaca kata laluan dari input piawai, gunakan nilai khas: <stdin>. Manakala, untuk membaca kata laluan dari fail, guna: <f:/path/to/file> (i.e. <f: diikuti dengan laluan penuh ke fail dan juga tanda >). Kurungan seperti di atas diperlukan, ingat kena kurungkan.

--username
    Nama pengguna untuk menyambung dengan pelayan Kandungan calibre

--version
    tunjuk nombor versi program dan keluar

LIST

calibredb list [options]

Senaraikan buku tersedia dalam pangkalan data calibre.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ascending
    Isih keputusan dalam tertib menaik

--fields, -f
    Medan yang dipaparkan bila menyenaraikan buku dalam pangkalan data. Seharusnya senarai medan dipisah-tanda-koma. Medan tersedia: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Lalai: % lalai. Medan khas "all" boleh digunakan untuk pilih semua medan. Selain dari medan terbina-dalam seperti di atas, medan suai juga tersedia seperti *field_name, sebagai contoh, untuk medan suai #rating, gunakan nama: *rating

--for-machine
    Jalan output dalam format JSON, yang lebih sesuai untuk penghuraian mesin. Menyebabkan lebar garisan dan pilihan pemisah diabaikan.

--limit
    Bilangan keputusan makismum untuk dipaparkan. Lalai: semua

--line-width, -w
    Lebar maksimum baris tunggal dalam output. Lalai ialah mengesan saiz skrin.

--prefix
    Awalan untuk semua laluan fail. Lalai ialah laluan mutlak ke folder pustaka.

--search, -s
    Tapis keputusan dengan pertanyaan gelintar. Bagi format pertanyaan gelintar, sila rujuk dokumentasi berkaitan gelintar dalam Panduan Pengguna. Lalai adalah tidak membuat penapisan.

--separator
    Rentetan yang digunakan untuk memisahkan medan. Lalai ialah jarak.

--sort-by
    Medan yang mana mengisih keputusan. Medan tersedia: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Lalai: id

ADD

calibredb add [options] fail1 fail2 fail3 ...

Tambah fail dinyatakan sebagai buku ke pangkalan data. Anda juga boleh nyatakan direktori, sila rujuk pilihan berkenaan direktori di bawah.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--authors, -a
    Tetapkan pengarang buku yang ditambah

--cover, -c
    Laluan ke kulit buku digunakan untuk buku yang ditambah

--duplicates, -d
    Tambah buku ke pangkalan data walaupun ia sudah wujud. Perbandingan dibuat berdasarkan tajuk buku.

--empty, -e
    Tambah buku kosong (buku tanpa format)

--identifier, -I
    Tetapkan pengecam unutk buku ini, contohnya -I asin:XXX -I isbn:YYY

--isbn, -i
    Tetapkan ISBN buku yang ditambah

--languages, -l
    Senarai dipisah tanda koma bahasa (terbaik gunakan kod bahasa ISO639, walaupun sesetengah nama bahasa juga dikenalpasti)

--series, -s
    Tetapkan siri bagi buku yang ditambah

--series-index, -S
    Tetapkan nombor siri bagi buku yang ditambah

--tags, -T
    Tetapkan tag bagi buku yang ditambah

--title, -t
    Tetapkan tajuk buku yang ditambah

  DITAMBAH DARI DIREKTORI

Pilihan untuk mengawal penambahan buku dari direktori. Secara lalai hanya fail yang mempunyai sambungan jenis fail e-buku yang diketahui boleh ditambah.

--add
    Satu pola (glob) nama fail, fail yang sepadan dengan pola ini akan diabaikan bila mengimbas direktori untuk dapatkan fail, walaupun jika ia bukanlah jenis fail e-buku yang dikenali. Boleh dinyatakan lebih dari sekali untuk pola berbilang.

--ignore
    Satu pola (glob) nama fail, fail yang sepadan dengan pola ini akan diabaikan bila mengimbas direktori untuk dapatkan fail. Boleh dinyatakan lebih dari sekali untuk pola berbilang. Sebagai contoh: *.pdf akan abaikan semua fail pdf

--one-book-per-directory, -1
    Anggap setiap direktori hanya mempunyai satu buku logikal dan semua fail berada di dalamnya adalah format ebuku yang berlainan bagi buku tersebut

--recurse, -r
    Proses direktori secara rekursif

REMOVE

calibredb remove ids

Buang buku yang dikenalpasti dengan id dari pangkalan data. id seharusnya senarai terpisah-tanda-koma nombor id (anda boleh dapatkan nombor id dengan menggunakan perintah gelintar). Sebagai contoh, 23,34,57-85 (bila menyatakan julat, nombor terakhir dalam julat tidak disertakan).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--permanent
    Jangan guna tong sampah kitar semula

ADD_FORMAT

calibredb add_format [options] id fail_ebuku

Tambah e-buku dalam fail_ebuku kepada format tersedia untuk buku logikal yang dkenalpasti dengan id. Anda boleh dapatkan id menerusi perintah gelintar. Jika format sudah wujud, ia akan digantikan, melainkan pilihan tidak ganti dinyatakan.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--dont-replace
    Jangan ganti format jika ia sudah wujud

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Buang format fmt dari buku logikal yang dikenalpasti dengan id. Anda boleh dapatkan id menerusi perintah gelintar. fmt seharusnya sambungan fail seperti LRF atau TXT atau EPUB. Jika buku logikal tidak mempunyai fmt, jangan buat apa-apa.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [options] id

Tunjuk data meta yang tersimpan dalam pangkalan data calibre bagi buku yang dikenalpasti oleh id. id ialah nombor id dari perintah gelintar.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-opf
    Cetak data meta dalam bentuk OPF (XML)

SET_METADATA

calibredb set_metadata [options] id [/laluan/ke/metadata.opf]

Tetapan data meta yang tersimpan dalam pangkalan data calibre bagi buku yang dikenalpasti dengan id dari fail OPF metadata.opf. id ialah nombor id dari perintah gelintar. Anda boleh dapatkan format OPF dengan menggunakan --as-opf yang ditukar ke perintah show_metadata. Anda juga boleh tetapkan data meta bagi medan secara individu dengan pilihan --field. Jika anda guna pilihan --field, tidak perlu nyatakan fail OPF.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--field, -f
    Medan yang ditetapkan. Format ialah field_name:value, contohnya: --field tags:tag1,tag2. Guna --list-fields untuk dapatkansenarai bagi semua nama medan. Anda boleh nyatakan pilihan ini berbilang kali untuk tetapkan medan berbilang. Perhatian: Bagi bahasa anda mesti guna kod bahasa ISO639 (contohnya en untuk bahasa Inggeris, ms untuk Bahasa Melayu dan sebagainya). Bagi pengecam, sintaks ialah --field identifiers:isbn:XXXX,doi:YYYYY. Bagi medan boolean (yes/no) gunakan true dan false atau yes dan no.

--list-fields, -l
    Senarai nama medan data meta yang boleh digunakan dengan pilihan --field

EXPORT

calibredb export [options] ids

Eksport buku yang dinyatakan dengan id (senarai dipisah-tanda-koma) ke sistem fail. Operasi eksport simpan semua format buku, kulit bukunya dan data meta (dalam fail opf). Anda boleh dapatan nombor id melalui perintah gelintar.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Eksport semua buku dalam pangkalan data, mengabaikan senarai id.

--dont-asciiize
    Kebiasaannya, calibre akan menukar semua aksara bukan Inggeris ke setara Inggeris bagi nama fail. AMARAN: Jika anda matikan ini, anda akan hadapi ralat ketika menyimpan, bergantung pada bagaimana kecekapan sistem fail anda mengendalikan penyimpanan yang menyokong unikod. Menyatakan suis ini akan matikan kelakuan ini.

--dont-save-cover
    Biasanya, calibre akan simpan kulit buku dalam fail berasingan bersama-sama dengan fail ebuku yang sebenarnya. Menyatakan suis ini akan matikan kelakuan ini.

--dont-update-metadata
    Biasanya, calibre akan mengemaskini data meta dalam fail tersimpan dari pustaka calibre. Menjadikan proses penyimpanan ke dalam cakera lebih lambat. Menyatakan suis ini akan matikan kelakuan ini.

--dont-write-opf
    Biasanya, calibre akan tulis data meta ke dalam fail OPS secara berasingan bersama-sama dengan fail ebuku yang sebenarnya. Menyatakan suis ini akan matikan kelakuan ini.

--formats
    Senarai format dipisah-koma untuk simpan setiap buku. Secara lalai semua format yang tersedia disimpan.

--progress
    Kemajuan laporan

--replace-whitespace
    Ganti ruang putih dengan underscore.

--single-dir
    Eksport semua buku ke dalam satu direktori

--template
    Templat yang mengawal nama fail dan struktur fail tersimpan. Lalai ialah "{author_sort}/{title}/{title} - {authors}" yang akan menyimpan buku ke dalam sub-direktori per-pengarang dengan nama fail yang mengandungi tajuk dan pengarang. Kawalan yang tersedia adalah: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Format yang memaparkan tarikh. %d - hari, %b - bulan, %m - nombor bulan, %Y - tahun. Lalai ialah: %b, %Y

--to-dir
    Eksport buku ke direktori yang dinyatakan, Lalai ialah .

--to-lowercase
    Tukar laluan menjadi huruf kecil.

CATALOG

calibredb catalog /laluan/ke/destinasi.(csv|epub|mobi|xml...) [pilihan]
Eksport satu katalog dalam format dinyatakan oleh sambungan laluan/ke/destinasi.
Pilihan kawal bagaimana masukan dipapar dalam output katalog yang dijana.
Perhatian, format katalog berbeza menyokong set pilihan yang berbeza.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ids, -i
    Senarai terpisah-koma bagi ID pangkalan data ke katalog. Jika diisytihar, --search diabaikan. Lalai: all

--search, -s
    Tapis keputusan dengan pertanyaan gelintar. Bagi format pertanyaan gelintar, sila rujuk dokumentasi berkaitan gelintar dalam Panduan Pengguna. Lalai: tanpa penapisan

--verbose, -v
    Tunjuk maklumat output terperinci. Berguna untuk penyahpepijatan

  EPUB PILIHAN

--catalog-title
    Tajuk katalog terjana yang digunakan sebagai tajuk dalam data meta. Lalai: 'My Books' Dilaksana pada: format output AZW3, EPUB, MOBI

--cross-reference-authors
    Cipta rujukan-silang pada seksyen Pengarang bagi buku dengan pengarang berbilang. Lalai: 'False' Dilaksana pada: format output AZW3, EPUB, MOBI

--debug-pipeline
    Simpan output dari tahap berlainan bagi penukaran talian paip ke direktori yang dinyatakan. Berguna jika anda tidak pasti pada tahap manakah proses penukaran yang mana berlakunya pepijat. Lalai: 'None' Dilaksana pada: format output AZW3, EPUB, MOBI

--exclude-genre
    Ungkapan nalar menjelaskan tag untuk diasing sebagai genre. Lalai: '[.+]|^+$' asingkan tag terkurung, seperti '[Project Gutenberg]', dan '+', tag lalai untuk baca buku. Dilaksana pada: format output AZW3, EPUB, MOBI

--exclusion-rules
    Nyatakan peraturan yang digunakan untuk asingkan buku dari katalog terjana. Model peraturan pengecualian adalah sama ada ('<rule name>','Tags','<comma-separated list of tags>') atau ('<rule name>','<custom column>','<pattern>'). Contohnya: (('Archived books','#status','Archived'),) akan asingkan buku dengan nilai 'Archived' dalam lajur suai 'status'. Bila peraturan berbilang ditakrif, semua peraturan akan dilaksanakan. Lalai: "(('Catalogs','Tags','Catalog'),)" Dilaksana pada format output AZW3, EPUB, MOBI

--generate-authors
    Sertakan seksyen 'Pengarang' dalam katalog. Lalai: 'False' Dilaksanakan pada: format output AZW3, EPUB, MOBI

--generate-descriptions
    Sertakan seksyen 'Keterangan' dalam katalog. Lalai: 'False' Dilaksanakan pada: format output AZW3, EPUB, MOBI

--generate-genres
    Sertakan seksyen 'Genre' dalam katalog. Lalai: 'False' Dilaksanakan pada: format output AZW3, EPUB, MOBI

--generate-recently-added
    Sertakan seksyen 'Ditambah Baru-Baru Ini' dalam katalog. Lalai: 'False' Dilaksanakan pada: format output AZW3, EPUB, MOBI

--generate-series
    Sertakan seksyen 'Siri' dalam katalog. Lalai: 'False' Dilaksanakan pada: format output AZW3, EPUB, MOBI

--generate-titles
    Sertakan seksyen 'Tajuk' dalam katalog. Lalai: 'False' Dilaksanakan pada: format output AZW3, EPUB, MOBI

--genre-source-field
    Medan sumber untuk seksyen 'Genre'. Lalai: 'Tag' Dilaksana pada: format output AZW3, EPUB, MOBI

--header-note-source-field
    Medan suai mengandungi teks nota untuk disisip dalam Pengepala Keterangan. Lalai: '' Dilaksana pada: format output AZW3, EPUB, MOBI

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] nyatakan: <custom field> Medan suai mengandungi nota untuk gabungkan dengan Ulasan [before|after] Penggantian nota berpandukan Ulasan [True|False] - Peraturan mengufuk yang disisip diantara nota dengan ulasan Lalai: '::' Dilaksana pada format output AZW3, EPUB, MOBI

--output-profile
    Nyatakan profil output. Dalam sesetengah kes, satu profil output diperlukan untuk optimumkan katalog bagi peranti. Contohnya, 'kindle' atau 'kindle_dx' hasilkan Senarai Kandungan berstrukutr dengan Seksyen dan Artikel. Lalai: 'None' Dilaksana pada: format output AZW3, EPUB, MOBI

--prefix-rules
    Nyatakan peraturan yang digunakan untuk disertakan awalan yang menunjukkan buku telah dibaca, item senarai idaman dan lain-lain awalan khusus-pengguna. Model untuk peraturan awalan ialah ('<rule name>','<source field>','<pattern>','<prefix>'). Bila peraturan berbilang ditakrif, peraturan pertama yang sepadan akan digunaakn. Lalai: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Dilaksana pada format output AZW3, EPUB, MOBI

--preset
    Guna praset bernama yang dicipta dengan pembina katalog GUI. Satu praset menyatakan semua tetapan untuk membina katalog. Lalai: 'None' Dilaksana pada: format output AZW3, EPUB, MOBI

--thumb-width
    Saiz pembayang (dalam inci) untuk kulit buku dalam katalog. Julat: 1.0 - 2.0 Lalai: '1.0' Dilaksanakan pada: format output AZW3, EPUB, MOBI

--use-existing-cover
    Ganti kulit buku sedia ada bila menjana katalog. Lalai: 'False' Dilaksanakan pada: format output AZW3, EPUB, MOBI

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Urus gelintar tersimpan yang disimpan dalam pangkalan data ini. Jika anda cuba menambah pertanyaan dengan nama sedia ada, ia akan digantikan.

Sintaks untuk penambahan:

calibredb saved_searches add search_name search_expression

Sintaks untuk pembuangan:

calibredb saved_searches remove search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [options] label name datatype

Cipta lajur suai. label ialah nama mesra mesin bagi lajur. Seharusnya tidak mengandungi jarak atau titik bertindih. nama adalah nama lajur yang boleh dibaca oleh manusia. jenis data adalah salah satu dari: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--display
    Satu kamus pilihan untuk suaikan bagaimana data dalam lajur ini ditafsir. Ia adalah rentetan JSON. Untuk lajur enumerasi, guna --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Terdapat banyak pilihan yang boleh pergi ke dalam pembolehubah paparan. Pilihan mengikut lajur adalah: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations Cara terbaik mencari gabungan sah ialah dengan mencipta lajur suai bagi jenis bersesuaian dalam GUI kemudian cari dalam sandar OPF bagi sesebuah buku (pastikan OPF baharu telah dicipta semenjak lajur telah ditambah). Anda akan lihat JSON untuk "display" bagi lajur baharu dalam OPF.

--is-multiple
    Lajur ini menyimpan tag seperti data (iaitu nilai berbilang dipisah-tanda-koma). Hanya dilaksana jika jenis data adalah teks.

CUSTOM_COLUMNS

calibredb custom_columns [options]
Senaraikan lajur suai tersedia. Tunjuk label dan id lajur.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--details, -d
    Tunjuk perincian untuk setiap lajur.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label
Buang lajur suai yang dikenalpasti oleh label. Anda boleh lihat lajur
tersedia dengan perintah custom_columns.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--force, -f
    Jangan tanya untuk pengesahan

SET_CUSTOM

calibredb set_custom [options] column id value

Tetapkan nilai lajur suai bagi buku yang dikenalpasti oleh id. Anda boleh dapatkan senarai id menggunakan perintah gelintar. Anda boleh dapatkan senarai nama lajur suai menggunakan perintah custom_columns.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--append, -a
    Jika lajur menyimpan nilai berbilang, tambah nilai yang dinyatakan pada mana-mana yang ada, selain dari menulis-ganti ia.

RESTORE_DATABASE

calibredb restore_database [options]

Pulih pangkalan data ini dari data meta tersimpan dalam fail OPF dalam setiap direktori bagi pustaka calibre. Ia berguna jika fail metadat.db anda mengalami kerosakan.

AMARAN: Perintah ini sepenuhnya jana semula pangkalan data anda. Anda akan kehilangan semua gelintar tersimpan, kategori pengguna, papan palam, tetapan penukaran per-buku tersimpan, dan resepi suai. Data meta tersimpan hanya benar-benar tepat sepertimana yang ditemui dalam fail OPF.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--really-do-it, -r
    Pasti mahu buat pemulihan. Perintah tidak akan berjalan melainkan pilihan ini dinyatakan.

CHECK_LIBRARY

calibredb check_library [options]

Buat beberapa semakan pada sistem fail yang mewakili pustaka. Laporan adalah invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--csv, -c
    Output dalam CSV

--ignore_extensions, -e
    Senarai sambungan dipisah-tanda-koma untuk diabaikan. Lalai: semua

--ignore_names, -n
    Senarai nama dipisah-tanda-koma untuk diabaikan. Lalai: semua

--report, -r
    Senarai laporan dipisah-tanda-koma. Lalai: semua

LIST_CATEGORIES

calibredb list_categories [options]

Hasilkan laporan bagi maklumat kategori dalam pangkalan data. Maklumat adalah menyamai apa yang ditunjukkan dalam anak tetingkap tag.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--categories, -r
    Senarai nama carian kategori dipisah-tanda-koma. Lalai: semua

--csv, -c
    Output dalam CSV

--dialect
    Jenis fail CSV yang dihasilkan. Pilihan: excel, excel-tab

--item_count, -i
    Hanya output bilangan item dalam kategori selain dari kiraan per item di dalam kategori

--width, -w
    Lebar maksimum baris tunggal dalam output. Lalai ialah mengesan saiz skrin.

BACKUP_METADATA

calibredb backup_metadata [options]

Sandar data meta tersimpan dalam pangkalan data ke dalam fail OPF secara individu dalam setiap direktori buku. Ia biasanya berlaku secara automatik, tetapi anda boleh jalankan perintah ini untuk paksa penjanaan-semula fail OPF, dengan pilihan --all.

Perhatian kebiasaannya tidak perlu membuatnya, kerana fail OPF disandar secara automatik, setiap kali data meta berubah.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Biasanya, perintah ini hanya beroperasi pada buku yang mempunyai fail OPF yang telah luput. Pilihan ini menjadikannya beroperasi pada semua buku.

CLONE

calibredb clone path/to/new/library

Create a clone of the current library. This creates a new, empty library that has all the same custom columns, Virtual libraries and other settings as the current library.

The cloned library will contain no books. If you want to create a full duplicate, including all books, then simply use your filesystem tools to copy the library folder.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [options] book_id

Kemaskin data meta dalam fail buku sebenar yang disimpan dalam pustaka calibre daripada data meta dalam pangkalan data calibre. Kebiasaannya, data meta hanya dikemaskini bila mengeksport fail dari calibre, perintah ini berguna jika anda mahu fail dikemaskini pada tempatnya. Perhatian format fail berbeza mentokong sejumlah data meta yang berbeza. Anda boleh guna nilai khas 'all' bagi book_id untuk kemaskini data meta dalam semua buku. Anda juga boleh nyatakan banyak id buku dengan dipisah tanda jarak dan julat id dipisah dengan tanda sengkang. Contohnya: calibredb embed_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--only-formats, -f
    Hanya kemaskini data meta dalam fail bagi format yang dinyatakan. Nyatakan ia berbilang kali untuk format berbilang. Secara lalai, semua format dikemaskinikan.

SEARCH

calibredb search [options] ungkapan gelintar

Gelintar pustaka untuk terma gelintar tertentu, kembalikan senarai id buku dipisah tanda koma yang sepadan dengan ungkapan gelintar. Format output berguna untuk disuap ke dalam perintah lain yang menerima senarai id sebagai input.

Ungkapan gelintar boleh jadi apa jua melalui bahasa pertanyaan gelintar calibre, contohnya: author:asimov title:robot

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--limit, -l
    Bilangan keputusan makismum yang dikembalikann. Lalai ialah semua keputusan.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal